OCaml Forge
SCM

Detail: [#1516] OPAM package does not compile (missing C flags?)

Bugs: Browse | Download .csv | Monitor

[#1516] OPAM package does not compile (missing C flags?)

Date:
2015-11-27 13:34
Priority:
3
State:
Open
Submitted by:
Pierre-Marie Pédrot (ppedrot)
Assigned to:
Nobody (None)
Hardware:
None
Resolution:
None
Severity:
None
Version:
None
Component:
None
Operating System:
None
Product:
None
 
URL:
Summary:
OPAM package does not compile (missing C flags?)

Detailed description
I've already reported the bug on the OPAM bugtracker, but I don't know if they can do something about it as it is linked to the build process. The full description of the bug is there: https://github.com/ocaml/opam-repository/issues/5162.

Followup

Message
Date: 2016-01-14 22:54
Sender: Rémi Nollet

The "aclocal" error is not related to the error ppedrot reported. I also got it and it was only due to the absence of the "aclocal" command on my system (Debian Jessie):
#aptitude install automake
fixed it.

Then I got the same error ppedrot reported. And it also occurs when I manually download melt-1.4.0 and do "make".
Date: 2015-11-27 15:19
Sender: Romain Bardou

Thanks for the report.

Actually I can't even "opam install cairo" here, I get:

[ERROR] The compilation of cairo failed at "aclocal -I support".

I don't know whether it is related...

Attached Files:

Changes:

No Changes Have Been Made to This Item